#ifndef _MSCENEMAP_H_
#define _MSCENEMAP_H_

#define MAP_TEX_NUM 100

// trieda premennych a funkcii pre pracu s mapou sceny
class mSceneMap {
public:
 mSceneMap();          // konstruktor
 virtual ~mSceneMap(); // destruktor

 void OpenMapFile(char *fname); // otvorenie suboru
 int  ReadMapData(void);        // nacitanie udajov
 void CloseMapFile(void);       // zatvorenie suboru

 GLfloat *gldata;     // pole nacitanych udajov o trojuholnikoch
 GLuint gldata_count; // pocet poloziek v subore (trojuholnikov)

 char *texfile[MAP_TEX_NUM]; // zatial iba 100 moznych textur (subory textur)
 GLuint texcount;            // pocet textur
private:
 unsigned int a,b; // pomocne premenne

 char *mapfile; // meno udajoveho suboru
 char ff[128];  // pre meno

 FILE *mf; // subor

 char fstring[128]; // nacitanie retazcov
 float ffloat;      // nacitanie cisiel
};

#endif
