#ifndef _MTEXT_H_
#define _MTEXT_H_

// trieda premennych a funkcii pre pracu s OpenGL textom
class mText {
public:
 mText();          // konstruktor
 virtual ~mText(); // destruktor

 char numberbuf[255]; // pre vypis cisiel

 int TextInitialize(void); // inicializacia vypisovania OpenGL textu

 void OpenDrawString(void);                    // zacatie vypisu textu
 void DrawString(GLfloat x,GLfloat y,char *t); // vypis textu
 void DrawNumber(GLfloat x,GLfloat y);         // vypis cisiel, resp. textu a cisiel
 void CloseDrawString(void);                   // ukoncenie vypisu textu

 void SetTextColor(GLfloat a,GLfloat b,GLfloat c); // nastavenie farby textu
 void SetTextSize(GLuint a);                       // nastavenie velkosti textu
private:
 char *number; // pre vypis cisiel
 
 GLfloat TextColor[4]; // farba textu
 GLuint TextSize;      // velkost textu
};

#endif
